c
      PROGRAM r180

      write(*,*)'Enter Initial idum'
      read(*,*)idum
      do i=1,20
      x=ran0(idum)
      write(*,*)x,x*180
      end do

      stop
      end
c
c *** RAMdAM Function **
c
      function ran0(idum)
      parameter(IA=16807,IM=2147483647,AM=1./IM,IQ=127773,IR=2836
     *         ,MASK=123459876)
c
      idum=ieor(idum,MASK)
      k=idum/IQ
      idum=IA*(idum-k*IQ)-IR*k
      if(idum.lt.0)idum=idum+IM
      ran0=AM*idum
      idum=ieor(idum,MASK)
c
      return
      end
